StarState::GlobalState Struct Reference documentation

Public Member Functions | Public Attributes | Private Member Functions | List of all members
StarState::GlobalState Struct Reference

small struct use to store global data More...

`#include <StarState.hxx>`

## Public Member Functions
| GlobalState (StarItemPool const *pool, StarObject &object, double relUnit=0.05)
| constructor More...
| ~GlobalState ()
| destructor More...

## Public Attributes
StarItemPool const * | m_pool
| the pool More...
StarObject & | m_object
| the object More...
std::shared_ptr< StarObjectModel > | m_objectModel
| the object model(for sdw file) More...
std::shared_ptr< StarObjectNumericRuler > | m_numericRuler
| the numeric ruler manager More...
STOFFPageSpan | m_page
| the page More...
librevenge::RVNGString | m_pageName
| the page name More...
std::vector< librevenge::RVNGString > | m_pageNameList
| the list of page name More...
STOFFPageSpan::ZoneType | m_pageZone
| the actual page zone: document, header, footer More...
std::string | m_pageOccurence
| the page occurence: all, first, left, right More...
std::shared_ptr< STOFFList > | m_list
| the current list More...
int | m_listLevel
| the current list level More...
double | m_relativeUnit
| the relative unit uses to transform rel font height in point, default 1/20 More...
STOFFVec2f | m_offset
| an offset: in point More...

## Private Member Functions
| GlobalState (GlobalState const &)=delete
GlobalState & | operator= (GlobalState const &)=delete

## Detailed Description

small struct use to store global data

## Constructor & Destructor Documentation

## ◆ GlobalState() [1/2]

StarState::GlobalState::GlobalState | ( | StarItemPool const * | pool,
|  | StarObject & | object,
|  | double | relUnit = `0.05`
| ) |  |
| inline

constructor

## ◆ ~GlobalState()

StarState::GlobalState::~GlobalState | ( |  | ) |

destructor

## ◆ GlobalState() [2/2]

StarState::GlobalState::GlobalState | ( | GlobalState const & |  | ) |
| privatedelete

## Member Function Documentation

## ◆ operator=()

GlobalState & StarState::GlobalState::operator= | ( | GlobalState const & |  | ) |
| privatedelete

## Member Data Documentation

## ◆ m_list

std::shared_ptr<STOFFList> StarState::GlobalState::m_list

the current list

## ◆ m_listLevel

int StarState::GlobalState::m_listLevel

the current list level

## ◆ m_numericRuler

std::shared_ptr<StarObjectNumericRuler> StarState::GlobalState::m_numericRuler

the numeric ruler manager

## ◆ m_object

StarObject& StarState::GlobalState::m_object

the object

## ◆ m_objectModel

std::shared_ptr<StarObjectModel> StarState::GlobalState::m_objectModel

the object model(for sdw file)

Referenced by StarState::StarState().

## ◆ m_offset

STOFFVec2f StarState::GlobalState::m_offset

an offset: in point

## ◆ m_page

STOFFPageSpan StarState::GlobalState::m_page

the page

## ◆ m_pageName

librevenge::RVNGString StarState::GlobalState::m_pageName

the page name

## ◆ m_pageNameList

std::vector<librevenge::RVNGString> StarState::GlobalState::m_pageNameList

the list of page name

## ◆ m_pageOccurence

std::string StarState::GlobalState::m_pageOccurence

the page occurence: all, first, left, right

## ◆ m_pageZone

STOFFPageSpan::ZoneType StarState::GlobalState::m_pageZone

the actual page zone: document, header, footer

## ◆ m_pool

StarItemPool const* StarState::GlobalState::m_pool

the pool

## ◆ m_relativeUnit

double StarState::GlobalState::m_relativeUnit

the relative unit uses to transform rel font height in point, default 1/20

The documentation for this struct was generated from the following files:

- StarState.hxx
- StarState.cxx